Lingxing
切换旧版

提交装箱信息

POST/amzStaServer/openapi/inbound-packing/setPackingInformation

如需获取提交装箱信息结果,请再额外调用查询异步任务状态接口,获取提交结果

接口信息

API Path请求协议请求方式令牌桶容量
/amzStaServer/openapi/inbound-packing/setPackingInformationHTTPSPOST1

请求参数

inboundPlanIdstring必填
STA任务编号,对应创建STA任务接口对应字段【inboundPlanId】
packageGroupingsarray<object>必填
分组装箱数据
隐藏子属性
boxesarray<object>必填
箱子信息
隐藏子属性
dimensionsobject
维度信息
隐藏子属性
heightnumber必填
高
lengthnumber必填
长
unitOfMeasurementstring必填
长度单位:IN、CM
widthnumber必填
宽
itemsarray<object>必填
商品信息
隐藏子属性
expirationstring
有效期
labelOwnerstring必填
标签类型
AMAZON
SELLER
NONE
mskustring必填
msku
prepOwnerstring必填
预处理提供方
AMAZON
SELLER
NONE
quantityinteger必填
申报量
weightobject
重量
隐藏子属性
unitstring必填
重量单位:LB、KG
valuenumber必填
重量单位值
packingGroupIdstring
包装组id:先装箱后分仓方式时必填;先分仓后装箱方式时无需填写
shipmentIdstring
货件id:先分仓后装箱方式时必填;分装箱后分仓方式时无需填写
sidinteger必填
亚马逊店铺sid,对应查询亚马逊店铺列表接口对应字段【sid】

请求cURL示例

curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-packing/setPackingInformation?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
    "packageGroupings": [{
        "boxes": [{
            "dimensions": {
                "height": 3,
                "length": 5,
                "width": 5,              
                "unitOfMeasurement": "cm"                
            },
            "items": [{
                "expiration": "有效期",
                "labelOwner": "AMAZON",
                "msku": "msku",
                "prepOwner": "AMAZON",
                "quantity": 1
            }],
            "weight": {
                "value": 1
            }
        }],
        "packingGroupId": "包装组id:先装箱后分仓方式时必填;先分仓后装箱方式时无需填写",
        "shipmentId": "货件id:先分仓后装箱方式时必填;分装箱后分仓方式时无需填写"
    }],
    "sid": 1
}'

返回结果

codeinteger必填
状态码,0 成功
示例 0
messagestring必填
消息提示
示例 success
errorDetailsarray<any>必填
错误信息
requestIdstring必填
请求链路id
responseTimestring必填
响应时间
示例 2020-05-18 11:23:47
dataobject必填
响应数据
隐藏子属性
errorMsgstring必填
错误信息
inboundPlanIdstring必填
亚马逊任务编号
taskIdstring必填
任务id
taskStatusstring必填
任务状态
process
success
failure
local_failure

返回成功示例

{
    "code": 0,
    "message": "操作成功",
    "errorDetails": [],
    "requestId": "3b3d867e7d014971a580549f107c8c5a.1732773886069",
    "responseTime": "2024-11-28T14:04:46.069",
    "data": {
        "errorMsg": "错误信息",
        "inboundPlanId": "亚马逊任务编号",
        "taskId": "任务id",
        "taskStatus": "任务状态"
    }
}